ML-BUILD(1)

NAME
ml-build - command-line build tool for SML/NJ programs

SYNOPSIS

ml-build [OPTIONS] group.cm [main [heap-image]]

DESCRIPTION

The ml-build is a command-line tool for building applications from SML source files using the Compilation Manager and SML/NJ compiler.

OPTIONS

-C’ctl'=value
    set the control ctl to value.

-D’name'=value
    define the CM variable name to have the given value.

-D’name
    define the CM variable name to have the value 1.

-U’name'
    remove any definition of the CM variable name.

-S setup.cm
    load and execute the code specified by the CM file setup.cm prior to the main build process. This option allows one to customizes the compiler via side-effect.

EXAMPLES

ml-build sources.cm, ml-build sources.cm Main.main, ml-build sources.cm Main.main prog
    AUTHOR

    Written by Matthias Blume.
    COPYING
    -------
    Copyright (C) 2017 The Fellowship of SML/NJ
    This is free software; see the source for copying  conditions.   There  is  NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    SEE-ALSO
    --------
    ml-makedepend(1), sml(1), smlnj(7)